Bug 186112 - pirut should handle .repo files
pirut should handle .repo files
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 13:19 EST by Thomas Fitzsimmons
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-11 17:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2006-03-21 13:19:33 EST
It would be nice if clicking on a .repo file in Firefox brought up pirut.  pirut
would then automatically install the .repo file in /etc/yum.repos.d and show a
list of the new repository's software groups.

Currently, installing a new .repo file is cumbersome: one needs to download the
.repo file then install it as root then re-run pirut to see the new packages.
Comment 1 Renato Ramonda 2006-03-22 02:51:12 EST
First of all I'll say that I have not used pirut yet. 
However, if I understand correctly, you are suggesting that double clicking on a
.repo file would trigger the "you need the root password to run this program"
dialog, and then pirut could start and do the right thing.

What I suggest is to take a step more in between: on a double click a small app
should start, displaying the relevant contents from inside the .repo file in a
nice way. This app (which could well be a small extension to pirut, I guess)
would then present a "dismiss" button, and a "install repository" button. 

Only when clicking on "install repository" you would be asked the root password.

This way users can double click a .repo file and know what it is, and what they
can do with it. THEN, if they really decide to install the repo, they can.

Makes sense?

(I think this could be a quick hack in python... maybe I'll try)
Comment 2 Thomas Fitzsimmons 2006-03-22 12:56:49 EST
Yes, I had considered an intermediate "Install repository" dialog but I wanted
to keep the repo installation procedure to as few steps as possible.  And since
yum repositories can be disabled why not just install it by default?

pirut doesn't seem to expose the notion of a "repository" which I think helps
keep it simple.  When the user clicks on a .repo link, I'd rather have pirut
automatically install the .repo file and then when it appears to the user, have
only the new repository's contents showing in its window.  Subsequent runs of
pirut would have the new repository's contents intermingled with other
repositories' contents.
Comment 3 Tim Lauridsen 2006-03-23 05:07:54 EST
I like the idea of a .repo file installer, but there is some dangers here.
If you just click on a repo file on a webpage and installed it and it is enabled
by default and gpgchek=0 and run pup or yum update, then you can have your
system messed up if the repository contains packages there replaces core
packages and in the worst case the packages can introduce securty issues to your
system (virus,backdoors etc.)
So a repo file installer has to warn the users and ask if the user want to have
the repository definded in the .repo enabled  by default and warn the user if
I have thought about making some kind of drag & drop feature in yumex, so a user
can drag and url to a repo file into the yumex repository view and it will be
downloaded and installed. It should always be disabled by default and gpgcheck
should always be enabled. The the user can use the repository editor in yumex to
enable it, if the want too.
Comment 4 Chris Ricker 2006-03-28 10:39:06 EST
Isn't a better solution just for repos to distribute their repo files in RPM
format? like, say, livna does?
Comment 5 Tim Lauridsen 2006-03-29 05:22:01 EST
(In reply to comment #4)
> Isn't a better solution just for repos to distribute their repo files in RPM
> format? like, say, livna does?

Yes, it is :-)
Comment 6 Thomas Fitzsimmons 2006-03-29 16:14:54 EST
(In reply to comment #4)
> Isn't a better solution just for repos to distribute their repo files in RPM
> format? like, say, livna does?

Yes, I agree.
Comment 7 Jeremy Katz 2006-09-11 17:22:21 EDT
Yeah, having repos distribute their .repo files in an RPM is definitely more
sensible and then system-install-packages will DTRT.

Note You need to log in before you can comment on or make changes to this bug.